
/**
 \defgroup   ARM_CMSIS_CM0_NVIC  CM0 Nested Vectored Interrupt Controller (NVIC)
 \brief      Type definitions for the CM0 NVIC Registers
 @{
 */

/** \brief  Structure type to access the Nested Vectored Interrupt Controller (NVIC) on CM0.
 */
typedef struct
{
    __IO uint32_t ISER[1];  /*!< Offset: 0x000 (R/W)  Interrupt Set Enable Register           */
    uint32_t RESERVED0[31]; /*!< Gap          */
    // the rest was removed
}  NVIC_Type;

/*@} end of group CMSIS_NVIC */
